> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-pb-update-api.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Getting Started

export const chatApiPayloadSize = "1 MB";

export const runtimeApiPayloadSize = "1 MB";

export const adminApiPayloadSize = "50 MB";

export const tablesApiPayloadSize = "40 MB";

export const filesApiPayloadSize = "1 MB";

export const webhookPayloadSize = "100 MB";

The Tables API allows you to manage your tables, which store structured data and offer various features. You can use tables to store user data, automatically label data, and extract information from content.

All the endpoints of the Tables API are located behind the `tables` base path (`api.botpress.cloud/v1/tables/`).

## Using cURL

Calling the Tables API can be done using any HTTP client, such as `curl`, `axios`, or `fetch`. Here's an example using `curl`:

```bash theme={null}
token="$YOUR_BOTPRESS_TOKEN"
bot_id="$YOUR_BOT_ID"
## List your bot's tables
curl -H "Authorization: bearer $token" -H "x-bot-id: $bot_id" https://api.botpress.cloud/v1/tables
```

## Using the Official TypeScript Client

The official TypeScript client is available as an NPM package. You can install it using any of the following command:

<CodeGroup>
  ```bash npm theme={null}
  npm install @botpress/client
  ```

  ```bash pnpm theme={null}
  pnpm install @botpress/client
  ```

  ```bash yarn theme={null}
  yarn add @botpress/client
  ```
</CodeGroup>

Once installed, you can import the client and use it in your TypeScript code:

<Note>
  This example uses [`dotenv` ](https://www.npmjs.com/package/dotenv) to manage Botpress credentials. If you'd rather manage your credentials differently, just remove the import and define your token and bot ID however you like.
</Note>

```ts theme={null}
import dotenv from 'dotenv'
import { Client } from '@botpress/client'

dotenv.config()

const main = async () => {
    const token = process.env.TOKEN
    const botId = process.env.BOT_ID

    const client = new Client({
        token,
        botId,
    })

    const response = await client.listTables({})
    console.log(response.tables)
}

void main()
```

## Quotas/limits

The maximum payload size for the Tables API is {tablesApiPayloadSize}.
